Subject: RE: Question about VPMS

From: "Yuji KAMITE" <[email-masked]>
Date: Thu, 04 Sep 2008 10:44:52 +0900

Hi Cao Wei,

Thanks for the comment.  Please see my message inlie.

> 1. How often do you think the activation/deactivation of 
> CE/AC will happen?
>    Supporting dynamicity is useful, but if you want a very 
> flexible solution
>    for dynamic joining/leaving, it may cause the solution be complex (
>    especially when considering dual multicast sources, multi-homing, 
>    protection, etc). I hope debate about MVPN in L3VPN WG 
> don't happen in 
>    L2VPN again. :)

I don't think "dynamic joining/leaving" does not
apploy to the goal of VPMS.

Basically VPMS doesn't intend to support dynamic
multicast control from CE's multicast message.  
In MVPN PE terminates CE's  join/leaves
to control distribution tree.  However in VPMS,
PE never checks CE's join/leaves at all.  
VPMS is suitable for streaming applications which 
does not have frequent changes of receiver memberships.

As written in Section 7.4., VPMS's activation/deactivation
is required to help SP's operation.  Not "dynamic joining/leaving."

Activation/deactivation requirement aims
at the similar context of that of VPWS.
In VPWS if you administratively shut down 
the either side of AC then such information can be
transferred through PW-signaling to other side.  
VPMS needs to support this kind of operation in the
context of the tree.

> 
> 2. Compare to VPLS, there is no MAC learning. And the roles 
> for the PE (sender
>    or reciver ) can not be changed in one VPMS. So if in VPLS 
> similar environment,
>    why not use P2MP LSP directly? It is simple.

I'm not sure about your question. 
Could you clarify what you mean "use P2MP LSP directly"?
Does the word "VPLS-similar environment" mean
multipoint-to-multpoint (LAN) application? 

Best Regards,

Yuji

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Cao Wei
> Sent: Wednesday, August 27, 2008 12:52 PM
> To: [email-masked]; y.kamite
> Subject: Question about VPMS
> 
> Hi Yuji,
>   I am interested in VPMS. IMHO, support multicast traffic in 
> traditional VPLS might require a lot of filtering work, this 
> may compromise the transparency of VPLS forwarding in SP network.
>  
>   But I have a few questions about VPMS, I would like to make 
> it clear:
> 
> 1. How often do you think the activation/deactivation of 
> CE/AC will happen?
>    Supporting dynamicity is useful, but if you want a very 
> flexible solution
>    for dynamic joining/leaving, it may cause the solution be complex (
>    especially when considering dual multicast sources, multi-homing, 
>    protection, etc). I hope debate about MVPN in L3VPN WG 
> don't happen in 
>    L2VPN again. :)
> 
> 2. Compare to VPLS, there is no MAC learning. And the roles 
> for the PE (sender
>    or reciver ) can not be changed in one VPMS. So if in VPLS 
> similar environment,
>    why not use P2MP LSP directly? It is simple.
> 
> Regards,
> Cao Wei   				
> --------------
> Cao Wei
> 2008-08-27
>